get file = 'c:/mics/spss/ch.sav'.

select if (UF9 = 1).

weight by chweight.

compute total = 1.
variable label total "Number of children aged 0-59 months".
value label total 1 "".

do if (ari = 100).

+ recode CA9A ("A" = 100) (else = 0) into ho.
+ variable label ho "Govt. hospital".

+ recode CA9B ("B" = 100) (else = 0) into hc.
+ variable label hc "Govt. health centre".

+ recode CA9C ("C" = 100) (else = 0) into hp.
+ variable label hp "Govt. health post".

*+ recode CA9D ("D" = 100) (else = 0) into vi.
*+ variable label vi "Village health worker".

*+ recode CA9E ("E" = 100) (else = 0) into oc.
*+ variable label oc "Mobile/outreach clinic".

*+ recode CA9H ("H" = 100) (else = 0) into pu.

+ compute pu = 0.
+ if (CA9D = "D" or CA9E = "E" or CA9H = "H") pu = 100.
+ variable label pu "Other public".

+ recode CA9I ("I" = 100) (else = 0) into ph.
+ variable label ph "Private hospital clinic".

+ recode CA9J ("J" = 100) (else = 0) into pp.
+ variable label pp "Private physician".

+ recode CA9K ("K" = 100) (else = 0) into pr.
+ variable label pr "Pharmacy".

+ recode CA9L ("L" = 100) (else = 0) into mo.
+ variable label mo "Mobile clinic".

*+ recode CA9O ("O" = 100) (else = 0) into op.
*+ variable label op "Other private medical".

*+ recode CA9P ("P" = 100) (else = 0) into rf.
*+ variable label rf "Relative or friend".

*+ recode CA9Q ("Q" = 100) (else = 0) into sh.
*+ variable label sh "Shop".

*+ recode CA9R ("R" = 100) (else = 0) into tr.
*+ variable label tr "Traditional practitioner".

*+ recode CA9X ("X" = 100) (else = 0) into ot.
*+ variable label ot "Other".

+ compute any = 0.
+ if (ho = 100 or hc = 100 or hp = 100 or pu =100 or
    ph = 100 or pp = 100 or mo = 100) any = 100.
+ variable label any "Any appropriate provider *".

+ compute atotal = 1.
+ variable label atotal "Number of children aged 0-59 months with suspected "+
  "pneumonia".
+ value label atotal 1 "".

end if.

tables
  /format = zero
  /observation = ari ho hc hp pu ph pp pr mo any
  /ftotal = tot1 "Total"
  /table = HL4 + HH7 + HH6 + cage_11 + melevel + wlthind5 + methnic + tot1 by
    ari + total + ho + hc + hp + pu + ph + pp + pr + mo + any + atotal
  /statistics
    mean(ari (f5.1) '')
    count(total (f5.0) '')
    mean(ho (f5.1) '')
    mean(hc (f5.1) '')
    mean(hp (f5.1) '')
    mean(pu (f5.1) '')
    mean(ph (f5.1) '')
    mean(pp (f5.1) '')
    mean(pr (f5.1) '')
    mean(mo (f5.1) '')
    mean(any (f5.1) '')
    count(atotal (f5.0) '')
  /title
    "Table CH.6: Care seeking for suspected pneumonia"
		"Percentage of children aged 0-59 months in the last two weeks taken to "+
		"a health provider, Republic of Macedonia, 2005"
  /caption
    "* MICS indicator 23".

new file.
