get file = 'c:/mics/spss/hl.sav'.

weight by hhweight.

* select children who are of secondary school age; this definition is
* country-specific and should be changed to reflect the situation in your
* country.
select if (HL5 >= 15 and HL5 <= 18).

compute second  = 0.
if (ED6A >= 2 and ED6A <= 4) second =  100.
variable label second "".

variable label HL4 "".

tables
  /format = zero
  /observation = second
  /ftotal = tot1 "Total"
  /tables = HH7 + HH6 + HL5  +  wlthind5 + methnic + tot1 by 
	  HL4 > second + tot1
  /statistics
    mean(second (f5.1) 'Net attendance ratio')
    validn(second (f5.0) 'Number of children')
  /title
    "Table ED.4: Secondary school net attendance ratio"
		"Percentage of children of secondary school age attending secondary or higher "+
		"school (NAR), Republic of Macedonia, 2005"
  /caption
    "* MICS indicator 56".

new file.
