* open the household listing data file.
get file = 'c:/mics/spss/hl.sav'.

* keep heads of household only.
select if (HL3 = 1).

* sort the cases by cluster number, household number and line number.
sort cases by HH1 HH2 HL1.

* education level.
recode ED3A (1 = 2) (2,3 = 3) (6 = 4) (8,9 = 9) (else = 1) into helevel.
variable label helevel "Head's education level".
value label helevel
  1 "None"
  2 "Primary"
  3 "Secondary +"
  4 "Non-standard curriculum"
  9 "Missing/DK".

* sex of household head.
recode HL4 (1,2 = copy) (else = 9) into hhsex.
variable label hhsex "Sex of Household Head".
value label hhsex
  1 "Male"
  2 "Female"
  9 "Missing/DK".

* save a data file of household heads with IDs and education as only vars.
save outfile = 'tmp1.sav'
  /keep HH1 HH2 helevel hhsex.

* open the household data file.
get file = 'c:/mics/spss/hh.sav'.

* sort the cases by cluster number and household number.
sort cases by HH1 HH2.

* merge the household head file onto the household file.
match files
  /file = *
  /table = 'tmp1.sav'
  /by HH1 HH2 .

*recode  ethnic group.
recode HC1B (1 = 1) (3= 3) (5 = 5) (8,4,27,10,6 = 6) (else = 9) into methnic.
variable label methnic "Ethnic group of Head".
value label methnic
  1 "Macedonians"
  3 "Albanians"
  5 "Romas"
  6 "Other ethnic group"
  9 "Missing/DK".

* education level.
recode helevel (1 = 1) (2 =  2) (3 =  3)  into helevel1.
variable label helevel1 "Head's education level ".
value label helevel1
  1 "None"
  2 "Primary"
  3 "Secondary +".

*recode wealth index .
recode wlthind5 (1,2,3 = 1) (4,5= 2) (else = 9) into mwlthind.
variable label mwlthind "Wealth index".
value label mwlthind
  1 "Poorest"
  2 "Richest"
  9 "Missing/DK".

* save household data, which now contains the education of household head.
save outfile = 'c:/mics/spss/hh.sav'.

* erase the working file.
erase file = 'tmp1.sav'.
