* compute grouped age at first birth.
* calculate age at first birth.
do if (CM2AY < 9996 and CM2AM < 96).
+ compute wdofb = (CM2AY - 1900)*12 + CM2AM.
+ compute agefb = trunc((cmcdoiw - wdofb)/12) .
else if (CM2AY < 9996).
+ compute wdofb = (CM2AY - 1900)*12 + trunc(rv.uniform(1,12)).
+ compute agefb = trunc((cmcdoiw - wdofb)/12) .
else if (CM2B < 96).
+ compute agefb = CM2B.
+ compute wdofb = trunc(rv.uniform(cmcdoiw-(CM2B*12+11),cmcdoiw-(CM2B*12))).
else if (CM1 = 1).
+ compute agefb = 99.
+ compute wdofb = 9999.
end if.
variable label agefb "Age at first birth".

compute TSFBm = cmcdoiw - wdofb.
* Frequencies of TSFB in months (if needed).
*fre TSFBm.
* Select only the five groups of time since first birth.
select if (TSFBm >= 0 and TSFBm < 300).
compute TSFB = trunc((TSFBm)/60)+1.
variable label TSFB 'Time since first birth'.
value label TSFB 1 '0-4' 2 '5-9' 3 '10-14' 4 '15-19' 5 '20-24'.

compute total = 1.
compute total1 = 1.
value label total1 1 'Total'.

compute surviv = ceb - deadkids.

aggregate outfile = 'tmp.sav'
  /break TSFB
  /totceb = sum(ceb)
  /totdead = sum(deadkids)
  /totsurv = sum(surviv)
  /women = sum(total).

aggregate outfile = 'tmp2.sav'
  /break total1
  /totceb = sum(ceb)
  /totdead = sum(deadkids)
  /totsurv = sum(surviv)
  /women = sum(total).

* QFIVE related.
* Set mean age of maternity .
compute meanage = 27.
* Set survey year.
compute syear = 2005.
* Set survey month.
compute smonth = 9.
aggregate outfile = 'tmpcmr.sav'
  /break TSFB
  /ceb = sum(ceb)
  /deadkids = sum(deadkids)
  /numwomen = n(total)
  /meanage = mean(meanage)
  /syear = mean(syear)
  /smonth = mean(smonth)
  /sex = mean(qfivesex ).

get file = 'tmp.sav'.

add files
  /file = *
  /file = 'tmp2.sav'.

compute meanceb = totceb/women.
compute propdead = totdead/totceb.
compute meansurv = totsurv/women.

COMMENT -- Begin commenting out TABLES command to be converted to CTABLES
 table
  /observation = meanceb meansurv propdead women
  /table = TSFB + total1 by meanceb + meansurv + propdead + women
  /statistics
    mean(meanceb (f5.3) 'Mean number of CEB')
    mean(propdead (f5.3) 'Proportion dead')
    mean(meansurv (f5.3) 'Mean number of children surviving')
    mean(women (f5.0) 'Number of women')
  /title
    "Table CM.2: Children ever born and proportion dead " " Mean number of children ever born and proportion dead by age of women, Republic of Macedonia, 2005" subgroup.

COMMENT -- End commenting out TABLES command.

COMMENT -- Begin CTABLES command.
CTABLES
  /MRSETS COUNTDUPLICATES=YES
  /FORMAT EMPTY=BLANK
  /TABLE TSFB[C]+total1[C] BY
	  meanceb[S][MEAN,'Mean number of children ever born',F5.3]+
	  meansurv[S][MEAN,'Mean number children surviving',F5.3]+
              propdead[S][MEAN,'Proportion dead',F5.3]+
              women[S][MEAN,'Number of women',F5.0]
  /CATEGORIES VAR=ALL EMPTY=EXCLUDE MISSING=EXCLUDE
  /SLABELS POSITION=COLUMN
  /TITLE TITLE="Table CM.2: Children ever born, children surviving, proportion dead"
  " Mean number of children ever born, children surviving and proportion dead by age of women, Republic of Macedonia, 2005" subgroup.
COMMENT -- End CTABLES command.

* QFIVE related.
get file = 'tmpcmr.sav'.
include file = 'qfive TSFB.sps'.

COMMENT -- Begin commenting out TABLES command to be converted to CTABLES
 table
  /observation = mceb propcd age qino tstarno qiso tstarso qiea tstarea qiwe tstarwe
  /table=TSFB  by mceb + propcd + age + qino + tstarno + qiso + tstarso + qiea + tstarea + qiwe + tstarwe
  /statistics
    mean( mceb '')
    mean( propcd '')
    mean( age '')
    mean( qino '')
    mean( tstarno '')
    mean( qiso '')
    mean( tstarso '')
    mean( qiea '')
    mean( tstarea '')
    mean( qiwe '')
    mean( tstarwe '')
  /title
    'Coale-Demeny Models' '(Trussel equations)'.
COMMENT -- End commenting out TABLES command.

COMMENT -- Begin CTABLES command.
CTABLES
  /MRSETS COUNTDUPLICATES=YES
  /FORMAT EMPTY=BLANK
  /TABLE TSFB[C] BY
	  mceb[S][MEAN,'']+
              propcd[S][MEAN,'']+
              age[S][MEAN,'']+
              qino[S][MEAN,'']+tstarno[S][MEAN,'']+
              qiso[S][MEAN,'']+tstarso[S][MEAN,'']+
              qiea[S][MEAN,'']+tstarea[S][MEAN,'']+
              qiwe[S][MEAN,'']+tstarwe[S][MEAN,'']
  /CATEGORIES VAR=ALL EMPTY=EXCLUDE MISSING=EXCLUDE
  /SLABELS POSITION=COLUMN
  /TITLE TITLE='Coale-Demeny Models' '(Trussel equations)' subgroup.
COMMENT -- End CTABLES command.

COMMENT -- Begin commenting out TABLES command to be converted to CTABLES
 table
  /observation = refdateno imrno refdateso imrso refdateea imrea refdatewe imrwe
  /table=TSFB  by refdateno + imrno + refdateso + imrso + refdateea + imrea + refdatewe + imrwe
  /statistics
    mean( refdateno '')
    mean( imrno '')
    mean( refdateso '')
    mean( imrso '')
    mean( refdateea '')
    mean( imrea '')
    mean( refdatewe '')
    mean( imrwe '')
  /title
    'Infant Mortality Rate' subgroup.
COMMENT -- End commenting out TABLES command.

COMMENT -- Begin CTABLES command.
CTABLES
  /MRSETS COUNTDUPLICATES=YES
  /FORMAT EMPTY=BLANK
  /TABLE TSFB[C] BY
	  refdateno[S][MEAN,'']+imrno[S][MEAN,'']+
              refdateso[S][MEAN,'']+imrso[S][MEAN,'']+
              refdateea[S][MEAN,'']+imrea[S][MEAN,'']+
              refdatewe[S][MEAN,'']+imrwe[S][MEAN,'']
  /CATEGORIES VAR=ALL EMPTY=EXCLUDE MISSING=EXCLUDE
  /SLABELS POSITION=COLUMN
  /TITLE TITLE='Infant Mortality Rate' subgroup.
COMMENT -- End CTABLES command.

COMMENT -- Begin commenting out TABLES command to be converted to CTABLES
 table
  /observation = refdateno u5mrno refdateso u5mrso refdateea u5mrea refdatewe u5mrwe
  /table=TSFB  by refdateno + u5mrno + refdateso + u5mrso + refdateea + u5mrea + refdatewe + u5mrwe
  /statistics
    mean( refdateno '')
    mean( u5mrno '')
    mean( refdateso '')
    mean( u5mrso '')
    mean( refdateea '')
    mean( u5mrea '')
    mean( refdatewe '')
    mean( u5mrwe '')
  /title
    'Under-five Mortality Rate' subgroup.
COMMENT -- End commenting out TABLES command.

COMMENT -- Begin CTABLES command.
CTABLES
  /MRSETS COUNTDUPLICATES=YES
  /FORMAT EMPTY=BLANK
  /TABLE TSFB[C] BY
	  refdateno[S][MEAN,'']+u5mrno[S][MEAN,'']+
              refdateso[S][MEAN,'']+u5mrso[S][MEAN,'']+
              refdateea[S][MEAN,'']+u5mrea[S][MEAN,'']+
              refdatewe[S][MEAN,'']+u5mrwe[S][MEAN,'']
  /CATEGORIES VAR=ALL EMPTY=EXCLUDE MISSING=EXCLUDE
  /SLABELS POSITION=COLUMN
  /TITLE TITLE='Under-five Mortality Rate' subgroup.
COMMENT -- End CTABLES command.
